Name:          carol
Version:       2.2.7
Release:       %mkrel 1
Summary:       Common Architecture for RMI ObjectWeb Layer
Group:         Development/Java
License:       LGPL
Url:           http://carol.ow2.org/
# svn checkout svn://svn.forge.objectweb.org/svnroot/carol/tags/CAROL_2_2_7/carol carol-2.2.7
# tar czf carol-2.2.7-src-svn.tar.gz carol-2.2.7
Source0:       carol-%{version}-src-svn.tar.gz
Source1:       carol-%{version}.pom

BuildRequires: ant17
BuildRequires: ant17-junit
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-logging
BuildRequires: carol-cmi
BuildRequires: carol-irmi
BuildRequires: jacorb
BuildRequires: jgroups
BuildRequires: jonathan-core
BuildRequires: jonathan-jeremie
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: kilim1
BuildRequires: monolog
BuildRequires: mx4j
BuildRequires: nanoxml
BuildRequires: objectweb-anttask
BuildRequires: %{__perl}
BuildRequires: velocity
Requires:      apache-commons-logging
Requires:      apache-commons-collections
Requires:      carol-irmi
Requires:      carol-cmi
Requires:      jacorb
Requires:      jgroups
Requires:      jonathan-core
Requires:      jonathan-jeremie
Requires:      jpackage-utils
Requires:      junit
Requires:      kilim1
Requires:      monolog
Requires:      mx4j
Requires:      nanoxml
Requires:      velocity
BuildArch:     noarch

%description
CAROL is a library allowing to use different RMI implementations. 
Thanks to CAROL, a Java server application can be independent of 
RMI implementations and accessible simultaneously by RMI clients 
using different RMI implementations. CAROL allows to design, 
implement, compile, package, deploy, and execute distributed 
applications compliant with the RMI model.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
CAROL: Common Architecture for RMI ObjectWeb Layer.

This package contains Javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
CAROL: Common Architecture for RMI ObjectWeb Layer.

This package contains documents for %{name}.

%prep
%setup -q -n carol-%{version}

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd externals
  ln -sf $(build-classpath commons-logging-api) commons-logging-api.jar
  ln -sf $(build-classpath commons-collections) commons-collections-3.1.jar
  ln -sf $(build-classpath jacorb/jacorb) jacorb.jar
  ln -sf $(build-classpath jgroups) .
  ln -sf $(build-classpath junit) junit.jar
  ln -sf $(build-classpath mx4j/mx4j) mx4j.jar
  ln -sf $(build-classpath ow_carol_cmi) ow_cmi.jar
  ln -sf $(build-classpath ow_carol_irmi) irmi.jar
  ln -sf $(build-classpath velocity) .
  pushd jeremie
    ln -sf $(build-classpath jonathan-core) jonathan-core.jar
    ln -sf $(build-classpath jonathan-jeremie) jeremie.jar
    ln -sf $(build-classpath nanoxml-lite) nanoxml-lite-2.2.1.jar
    ln -sf $(build-classpath kilim1) kilim.jar
    ln -sf $(build-classpath monolog/ow_util_log_api) ow_util_log_api.jar
  popd
popd

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-collections commons-logging-api jonathan-core jonathan-jeremie)
CLASSPATH=$CLASSPATH:$(build-classpath jgroups kilim1 monolog/ow_util_log_api mx4j/mx4j nanoxml-lite objectweb-anttask)
CLASSPATH=$CLASSPATH:$(build-classpath ow_carol_cmi ow_carol_irmi velocity junit ant17/ant17-junit)

ant17 \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  dist jdoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/carol

install -m 644 output/dist/lib/ow_carol.jar \
  %{buildroot}%{_javadir}/carol/ow_carol-%{version}.jar
install -m 644 output/dist/lib/ow_carol_iiop_delegate.jar \
  %{buildroot}%{_javadir}/carol/ow_carol-%{version}_iiop_delegate.jar

(
  cd %{buildroot}%{_javadir}/carol
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_datadir}/carol-%{version}
install -m 644 output/dist/config/carol.properties \
  %{buildroot}%{_datadir}/carol-%{version}

mkdir -p %{buildroot}%{_javadocdir}/carol-%{version}
cp -pr output/dist/jdoc/* %{buildroot}%{_javadocdir}/carol-%{version}
ln -s carol-%{version} %{buildroot}%{_javadocdir}/carol

%files
%{_javadir}/carol/ow_carol-%{version}.jar
%{_javadir}/carol/ow_carol.jar
%{_javadir}/carol/ow_carol-%{version}_iiop_delegate.jar
%{_javadir}/carol/ow_carol_iiop_delegate.jar
%{_datadir}/carol-%{version}

%files javadoc
%{_javadocdir}/carol-%{version}
%{_javadocdir}/carol

%files manual
%doc output/dist/doc/*



%changelog

* Mon Sep 05 2011 dmorgan <dmorgan> 2.2.7-1.mga2
+ Revision: 138749
- Adapt to mageia guidelines

  + gil <gil>
    - imported package carol


* Sun Jun 26 2011 gil <gil> 2.2.7-0.%%mkrel
- initial rpm